;;;
;;; additional menus for Emacs lisp and ILisp
;;; Stefan Strobel '94
;;;

(define-key emacs-lisp-mode-map [menu-bar elisp]
  (cons "Elisp" (make-sparse-keymap "elisp")))

(define-key emacs-lisp-mode-map [menu-bar elisp debonenoff]
  '("Cancel Debug on Entry" . cancel-debug-on-entry))
(define-key emacs-lisp-mode-map [menu-bar elisp debonen]
  '("Debug on Entry" . debug-on-entry))
(define-key emacs-lisp-mode-map [menu-bar elisp debdefun]
  '("Debug Defun" . edebug-defun))
(define-key emacs-lisp-mode-map [menu-bar elisp evalbuff]
  '("Eval Buffer" . eval-buffer))
(define-key emacs-lisp-mode-map [menu-bar elisp evalreg]
  '("Eval Region" . eval-region))
(define-key emacs-lisp-mode-map [menu-bar elisp evaldef]
  '("Eval Defun" . eval-defun))


;;;
;;; Menu for ilisp
;;;

(define-key lisp-mode-map [menu-bar ilisp] 
  (cons "Ilisp" (make-sparse-keymap "ilisp")))

(define-key lisp-mode-map [menu-bar ilisp il-evalbu]
  '("Eval Buffer" . eval-buffer-ilisp))
(define-key lisp-mode-map [menu-bar ilisp il-tracede]
  '("Trace Defun" . trace-defun-lisp))
(define-key lisp-mode-map [menu-bar ilisp il-evaldef]
  '("Eval Defun and go" . eval-defun-and-go-lisp))
(define-key lisp-mode-map [menu-bar ilisp il-load]
  '("Load Lisp File" . load-file-lisp))
(define-key lisp-mode-map [menu-bar ilisp il-switchto]
  '("Switch to Lisp" . switch-to-lisp))
(define-key lisp-mode-map [menu-bar ilisp il-start]
  '("Start CMU Lisp" . cmulisp))

